Subject: [GIT PULL] ARM perf updates for 4.1

From: [email-masked] (Will Deacon)
Date: Mon, 13 Apr 2015 10:10:12 +0100

On Tue, Apr 07, 2015 at 04:05:40PM +0100, Geert Uytterhoeven wrote:
> On Fri, Mar 27, 2015 at 6:22 PM, Will Deacon <[email-masked]> wrote:
> > Will Deacon (1):
> >       ARM: pmu: add support for interrupt-affinity property
> 
> As most DTSes lack this property, we now get scary warnings:
> 
>         CPU PMU: Failed to parse <no-node>/interrupt-affinity[0]

That's a harmless warning (i.e. perf will `work' as before), but I'd like to
print something to say that we didn't find the property.

> BTW, shouldn't the DT update go in first, or together with the code update?

It's going via the arm64 tree (I had to choose one of the trees for the
binding, since they both arm and arm64 use it).

Will